tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: [VOTE] Release Apache Tomcat 7.0.44
Date Tue, 24 Sep 2013 14:01:54 GMT
Violetta,

On 9/23/13 4:58 PM, Violeta Georgieva wrote:
> The proposed Apache Tomcat 7.0.44 release is now available for voting.
> This release candidate contains JSR-356 Java WebSocket 1.0 implementation.
> Note that use of this functionality requires Java 7.
> 
> It can be obtained from:
> https://dist.apache.org/repos/dist/dev/tomcat/tomcat-7/v7.0.44/
> The Maven staging repo is:
> https://repository.apache.org/content/repositories/orgapachetomcat-090/
> The svn tag is:
> http://svn.apache.org/repos/asf/tomcat/tc7.0.x/tags/TOMCAT_7_0_44/
> 
> The proposed 7.0.44 release is:
> [ ] Broken - do not release
> [X] Stable - go ahead and release as 7.0.44 Stable

Debian Linux 2.6, x86_84
Oracle Java 1.6.0_26, 64-bit Server VM

Binary ZIP and tarball are the same
Source ZIP and tarball are the same
MD5 sums are okay
GPG sigs are okay
tcnative builds fine, with some "notes"
Checkstyle is happy
Tomcat builds with one warning:

compile-java6:
    [javac] Compiling 1313 source files to
/home/cschultz/projects/apache-tomcat/tarball/apache-tomcat-7.0.44-src/output/classes
    [javac]
/home/cschultz/projects/apache-tomcat/tarball/apache-tomcat-7.0.44-src/java/javax/el/ResourceBundleELResolver.java:109:
warning: getFeatureDescriptors(javax.el.ELContext,java.lang.Object) in
javax.el.ResourceBundleELResolver overrides
getFeatureDescriptors(javax.el.ELContext,java.lang.Object) in
javax.el.ELResolver; return type requires unchecked conversion
    [javac] found   : java.util.Iterator
    [javac] required: java.util.Iterator<java.beans.FeatureDescriptor>
    [javac]     public Iterator getFeatureDescriptors(
    [javac]                     ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 warning


Unit tests pass (except Tribes, known to fail in my environment)

Quick smoke test on my own web application (no new features e.g.
Websocket are in use) shows no problems.

Looks good to me.

When using Java 1.7.0_40, tomcat-dbcp fails to build:

build-tomcat-dbcp:
     [copy] Copying 68 files to
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp
    [mkdir] Created dir:
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/src/java/org/apache/tomcat/dbcp
     [move] Moving 64 files to
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/src/java/org/apache/tomcat/dbcp
    [mkdir] Created dir:
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/classes
    [javac] Compiling 64 source files to
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/classes
    [javac] warning: [options] bootstrap class path not set in
conjunction with -source 1.6
    [javac]
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/src/java/org/apache/tomcat/dbcp/dbcp/BasicDataSource.java:53:
error: BasicDataSource is not abstract and does not override abstract
method getParentLogger() in CommonDataSource
    [javac] public class BasicDataSource implements DataSource {
    [javac]        ^
    [javac]
/home/cschultz/projects/apache-tomcat/tarball/downloads/tomcat7-deps/dbcp/src/java/org/apache/tomcat/dbcp/dbcp/DelegatingStatement.java:46:
error: DelegatingStatement is not abstract and does not override
abstract method isCloseOnCompletion() in Statement
    [javac] public class DelegatingStatement extends AbandonedTrace
implements Statement {

 [...]

Building tomcat-dbcp with Java 1.6 and resuming the build with Java 7
shows everything is okay.

But, when I run all the tests, I get lots and lots of failures:
Testsuite: javax.el.TestArrayELResolver
Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec

        Caused an ERROR
javax/el/TestArrayELResolver : Unsupported major.minor version 51.0
java.lang.UnsupportedClassVersionError: javax/el/TestArrayELResolver :
Unsupported major.minor version 51.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
        at
java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:169)

I'm fairly sure this is a problem with my environment. I have JAVA_HOME
set to point to Java 7 but I suspect somewhere that's getting overridden
when the tests are being run.

I'll follow up on that.

-chris


Mime
View raw message